New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Problem with tag #1.0.0 #81

Closed
brunowego opened this Issue Apr 13, 2014 · 14 comments

Comments

Projects
None yet
5 participants
@brunowego

brunowego commented Apr 13, 2014

The tag 1.0.0 no have the same files in master branch, for example bower.json.

@brunowego brunowego changed the title from Problem with tag 1.0.0 to Problem with tag #1.0.0 Apr 13, 2014

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Apr 14, 2014

Owner

@brunobatista Right, this is because it was created long time ago. since then there have been numerous changes. so i'd recommend using master.

Owner

VinceG commented Apr 14, 2014

@brunobatista Right, this is because it was created long time ago. since then there have been numerous changes. so i'd recommend using master.

@okendoken

This comment has been minimized.

Show comment
Hide comment
@okendoken

okendoken May 12, 2014

guys, please issue a new release for bower users.
1.0.0 is 18 commits behind master - it lacks of some core fixes which makes plugin failing.

The only way to use bootstrap-wizard now is to explicitly specify master branch as a bower package source:

"twitter-bootstrap-wizard": "git://github.com/VinceG/twitter-bootstrap-wizard.git#master"

Thank you!

okendoken commented May 12, 2014

guys, please issue a new release for bower users.
1.0.0 is 18 commits behind master - it lacks of some core fixes which makes plugin failing.

The only way to use bootstrap-wizard now is to explicitly specify master branch as a bower package source:

"twitter-bootstrap-wizard": "git://github.com/VinceG/twitter-bootstrap-wizard.git#master"

Thank you!

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG May 13, 2014

Owner

@brunobatista @okendoken

You can now install it using

bower install twitter-bootstrap-wizard#1.2

I really have no interest in supporting this any further. with all the package managers out there, there is no way to be able to support them all. for any future updates just use master.

Thank You.

Owner

VinceG commented May 13, 2014

@brunobatista @okendoken

You can now install it using

bower install twitter-bootstrap-wizard#1.2

I really have no interest in supporting this any further. with all the package managers out there, there is no way to be able to support them all. for any future updates just use master.

Thank You.

@VinceG VinceG closed this May 13, 2014

@okendoken

This comment has been minimized.

Show comment
Hide comment
@okendoken

okendoken May 16, 2014

@VinceG thanks for prompt response!

okendoken commented May 16, 2014

@VinceG thanks for prompt response!

@ricardopolo

This comment has been minimized.

Show comment
Hide comment
@ricardopolo

ricardopolo Feb 23, 2015

@VinceG you can use a CI like Appveyor or Travis that deploys master to Package Managers automatically

ricardopolo commented Feb 23, 2015

@VinceG you can use a CI like Appveyor or Travis that deploys master to Package Managers automatically

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Mar 9, 2015

Owner

@ricardopolo i don't think so, no.

Owner

VinceG commented Mar 9, 2015

@ricardopolo i don't think so, no.

@ricardopolo

This comment has been minimized.

Show comment
Hide comment
@ricardopolo

ricardopolo commented Mar 9, 2015

@VinceG why?

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Mar 16, 2015

Owner

@ricardopolo a) i never used it b) i don't have the time to spend on adding it. would you want to help get this done?

Owner

VinceG commented Mar 16, 2015

@ricardopolo a) i never used it b) i don't have the time to spend on adding it. would you want to help get this done?

@waza-ari

This comment has been minimized.

Show comment
Hide comment
@waza-ari

waza-ari Dec 27, 2015

I totally can understand that it can be annoying to support many packet managers. There are however also very good reasons to use packet managing, I don't think I have to mention them here.

Many frameworks (including the three most popular frameworks on the web, being Yii2, Symfony and Laravel) heavily rely on composer and its bower-plugin to handle dependencies. Have a look for example at the following Yii2 plugin (https://github.com/Chofoteddy/yii2-bootstrap-wizard), which uses bower to reference at this very project. It is simply not state of the art to use libraries without dependency management, and it took me nearly 5 hours today to figure out that the "automatically installed dependency" is causing the trouble and that I have to fetch master-code manually.

So all this text written for one purpose: please consider maintaining at least the most popular package managers.

waza-ari commented Dec 27, 2015

I totally can understand that it can be annoying to support many packet managers. There are however also very good reasons to use packet managing, I don't think I have to mention them here.

Many frameworks (including the three most popular frameworks on the web, being Yii2, Symfony and Laravel) heavily rely on composer and its bower-plugin to handle dependencies. Have a look for example at the following Yii2 plugin (https://github.com/Chofoteddy/yii2-bootstrap-wizard), which uses bower to reference at this very project. It is simply not state of the art to use libraries without dependency management, and it took me nearly 5 hours today to figure out that the "automatically installed dependency" is causing the trouble and that I have to fetch master-code manually.

So all this text written for one purpose: please consider maintaining at least the most popular package managers.

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Dec 27, 2015

Owner

@waza-ari i understand the frustration. i initially planned on supporting bower and i did for a certain period of time, however, i can't keep maintaining this and other projects i have by myself. will you be interested in helping getting this updated on bower?

Owner

VinceG commented Dec 27, 2015

@waza-ari i understand the frustration. i initially planned on supporting bower and i did for a certain period of time, however, i can't keep maintaining this and other projects i have by myself. will you be interested in helping getting this updated on bower?

@waza-ari

This comment has been minimized.

Show comment
Hide comment
@waza-ari

waza-ari Dec 27, 2015

@VinceG Sorry, I did not want to sound frustrated. I haven't worked with bower yet, but have experiences with composer as PHP packet management system. When your time is the problem, I'd be glad to help. Just need to get into it.

waza-ari commented Dec 27, 2015

@VinceG Sorry, I did not want to sound frustrated. I haven't worked with bower yet, but have experiences with composer as PHP packet management system. When your time is the problem, I'd be glad to help. Just need to get into it.

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Dec 27, 2015

Owner

i believe composer is for PHP dependencies and bower is used for asset management.

Owner

VinceG commented Dec 27, 2015

i believe composer is for PHP dependencies and bower is used for asset management.

@waza-ari

This comment has been minimized.

Show comment
Hide comment
@waza-ari

waza-ari Dec 27, 2015

Yes, I am aware of that. Just wanted to point out that I did not work with bower yet, but that I am not totally new to this topic. Maybe we should get in touch apart from this issue to negotiate how I can support you?

waza-ari commented Dec 27, 2015

Yes, I am aware of that. Just wanted to point out that I did not work with bower yet, but that I am not totally new to this topic. Maybe we should get in touch apart from this issue to negotiate how I can support you?

@VinceG

This comment has been minimized.

Show comment
Hide comment
@VinceG

VinceG Dec 27, 2015

Owner

@waza-ari having this on bower will be a great help to start with.

Owner

VinceG commented Dec 27, 2015

@waza-ari having this on bower will be a great help to start with.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment